jenkins-debian-glue should run the lintian version from cowbuilder instead of from host
Open, Stalled, NormalPublic

Description

When building a package for Stretch, lintian ends up complaining since we run the lintian version from the build hosts (Jessie). We should instead run the lintian version from the target distribution.

I did sent a couple patches upstream https://github.com/mika/jenkins-debian-glue/pull/191 only to find out someone else already did it already https://github.com/mika/jenkins-debian-glue/commit/e2beae591bada6a91ffd33a45e6c7a451dc33c3a

Need to rebuild our jenkins-debian-glue package 0.17.0 with that patch included.

Status

https://github.com/mika/jenkins-debian-glue/pull/193 is pending
Our Deb package 0.18.4-wmf2 has the patch included

hashar created this task.Feb 5 2018, 9:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2018, 9:47 AM

Mentioned in SAL (#wikimedia-releng) [2018-02-05T09:48:46Z] <hashar> operations/debs/jenkins-debian-glue create branches debian/jessie-wikimedia and patch-queue/debian/jessie-wikimedia based on v0.17.0 | T186494

Change 408246 had a related patch set uploaded (by Hashar; owner: Victor Seva):
[operations/debs/jenkins-debian-glue@patch-queue/debian/jessie-wikimedia] support process a lintian output file

https://gerrit.wikimedia.org/r/408246

Change 408247 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/debs/jenkins-debian-glue@debian/jessie-wikimedia] 0.17.0-wmf1: support process a lintian output file

https://gerrit.wikimedia.org/r/408247

hashar added a comment.Feb 5 2018, 9:55 AM

Rebuild using the same tarball we currently have on apt.wikimedia.org. Result on https://people.wikimedia.org/~hashar/debs/jenkins-debian-glue_0.17.0-wmf1/

Our 0.17.0 original tarball includes upstream 0.17.0 and three other commits T141114#3945550

Will bump the version to latest tagged version.

Mentioned in SAL (#wikimedia-releng) [2018-02-05T11:02:31Z] <hashar> Upgrading jenkins-debian-glue to 0.18.4-wmf1 | T186494

Mentioned in SAL (#wikimedia-operations) [2018-02-05T11:04:29Z] <hashar> Upgraded jenkins-debian-glue to 0.18.4-wmf1 | T186494

Change 408261 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/debs/jenkins-debian-glue@debian/jessie-wikimedia] 0.18.4-wmf2: add hook B90lintian

https://gerrit.wikimedia.org/r/408261

Change 408265 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] package_builder: ability to override HOOKDIR

https://gerrit.wikimedia.org/r/408265

Change 408265 abandoned by Hashar:
package_builder: ability to override HOOKDIR

https://gerrit.wikimedia.org/r/408265

Change 408268 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Run lintian has a hook

https://gerrit.wikimedia.org/r/408268

Change 408268 merged by jenkins-bot:
[integration/config@master] debian-glue: run lintian as a hook

https://gerrit.wikimedia.org/r/408268

hashar claimed this task.Feb 6 2018, 3:15 PM

Change 408246 merged by Hashar:
[operations/debs/jenkins-debian-glue@patch-queue/debian/jessie-wikimedia] support process a lintian output file

https://gerrit.wikimedia.org/r/408246

Change 408999 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Make debian-glue voting on debian-glue repo

https://gerrit.wikimedia.org/r/408999

Change 408999 merged by jenkins-bot:
[integration/config@master] Make debian-glue voting on debian-glue repo

https://gerrit.wikimedia.org/r/408999

Change 408247 merged by jenkins-bot:
[operations/debs/jenkins-debian-glue@debian/jessie-wikimedia] 0.18.4-wmf1: support process a lintian output file

https://gerrit.wikimedia.org/r/408247

Change 408261 merged by jenkins-bot:
[operations/debs/jenkins-debian-glue@debian/jessie-wikimedia] 0.18.4-wmf2: add hook B90lintian

https://gerrit.wikimedia.org/r/408261

hashar updated the task description. (Show Details)Apr 4 2018, 8:43 AM
hashar edited projects, added Upstream; removed Patch-For-Review.
hashar changed the task status from Open to Stalled.

Pending upstream review/merge/release